petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexComputeCellGeometryFVM

Compute the volume for a given cell

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeCellGeometryFVM(DM dm, PetscInt cell, PetscReal *vol, PetscReal centroid[], PetscReal normal[])

Collective on DM Many br

### Input Arguments

| dm | - the DM Many br
| cell | - the cell Many br

### Output Arguments

| volume | - the cell volume Many br
| centroid | - the cell centroid Many br
| normal | - the cell normal, if appropriate Many br

Many br

### Fortran Notes

Since it returns arrays, this routine is only available in Fortran 90, and you must Many brinclude petsc.h90 in your code. Many br

### See Also

DMGetCoordinateSection(), DMGetCoordinateVec()

Level:advanced
Location:src/dm/impls/plex/plexgeometry.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages